#include<iostream>
#include<cmath>
using namespace std;

int main()
{
    long long x,y,z,brojcifarax=0,x1,y1,z1,brojcifaray=0,brojcifaraz=0,najvecibrojcifara,broj,a,b,c,brojcifaraA,brojcifaraB,brojcifaraC;
    cin>>x>>y>>z;
    x1=x;
    y1=y;
    z1=z;
    a=x;
    b=y;
    c=z;
    for(;x>0;brojcifarax++)
    {
        x=x/10;
    }
    najvecibrojcifara=brojcifarax;
    for(;y>0;brojcifaray++)
    {
        y=y/10;
    }
    if(najvecibrojcifara<=brojcifaray)najvecibrojcifara=brojcifaray;
    for(;z>0;brojcifaraz++)
    {
        z=z/10;
    }
    if(najvecibrojcifara<=brojcifaraz)najvecibrojcifara=brojcifaraz;
    brojcifaraA=brojcifarax;
    brojcifaraB=brojcifaray;
    brojcifaraC=brojcifaraz;
    for(;brojcifarax<najvecibrojcifara;brojcifarax++)
    {
        x1=x1*10;
    }
    for(;brojcifaray<najvecibrojcifara;brojcifaray++)
    {
        y1=y1*10;
    }
    for(;brojcifaraz<najvecibrojcifara;brojcifaraz++)
    {
        z1=z1*10;
    }
    if(x1>=y1&&x1>=z1)
    {
        if(y1>=z1)
        {
            cout<<a<<b<<c<<endl;
        }
        else
        {
            cout<<a<<c<<b<<endl;
        }
    }
    if(y1>=x1&&y1>=z1)
    {
        if(x1>=z1)
        {
            cout<<b<<a<<c<<endl;
        }
        else
        {
            cout<<b<<c<<a<<endl;
        }
    }
    if(z1>=y1&&z1>=x1)
    {
        if(x1>=y1)
        {
            cout<<c<<a<<b<<endl;
        }
        else
        {
            cout<<c<<b<<a<<endl;
        }
    }
}